# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse

from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

carriage_menu_item = items.MenuItem(
    # GENERAL
    _('carriage'),
    reverse('admin:app_list', kwargs={'app_label': 'carriage'}),
    children=[
        items.MenuItem(
            _('carriage'), '',
            children=[
                items.MenuItem(_('add carriage'), reverse('admin:carriage_carriage_add', )),
                items.MenuItem(_('carriage list'), reverse('admin:carriage_carriage_changelist', )),
            ]
        ),
        items.MenuItem(
            _('delivery'), '',
            children=[
                items.MenuItem(_('add delivery'), reverse('admin:carriage_delivery_add', )),
                items.MenuItem(_('delivery list'), reverse('admin:carriage_delivery_changelist', )),
            ]
        ),
    ]
)

register_menu(carriage_menu_item, 'thux.carriage')
